# ACE_Pointer_Hash< TYPE > Class Template Reference

Function object for hashing pointers. More...

`#include <Functor_T.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (TYPE t) const
| Simply returns t.

## Detailed Description

### template<class TYPE>
class ACE_Pointer_Hash< TYPE >

Function object for hashing pointers.

## Member Function Documentation

template<class TYPE>
ACE_INLINE unsigned long ACE_Pointer_Hash< TYPE >::operator() | ( | TYPE | t | ) | const

| Simply returns t.

The documentation for this class was generated from the following files:

- Functor_T.h
- Functor_T.inl